CN Service layer should be refactored for 0.6 release

2010-10-06 23:57 - Robert Waltz

Status: Closed Start date: 2011-03-07

Priority: High Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2011.12-Block.2   

Story Points:    

Description

There are several areas of improvement that will need to be made in order to support the 0.6 release

Subtasks:

Task # 1136: the position of the 'qt' parameter in the query is significant (when it re... Closed

Task # 707: Date format in serialized SystemMetadata is incorrect Closed

Task # 724: Dates in java not storing milliseconds Closed

Task # 781: examine behavior of proxy request mappings Closed

Task # 719: Add Better DataONE exceptions into Cn Rest Service Proxy Closed

Task # 780: AbstractProxyServiceImpl.java largely overidden.  Still needed? Closed

Task # 778: refactor proxy.controller.ObjectController - 45+ methods Closed

Task # 775: more complete tests needed for resolve method Rejected

Task # 847: Start and Count should be options in search Closed

Task # 1406: move 'name' as an element to an attribute in nodeList Rejected

Task # 1407: add the HTTP_METHOD as attribute on the method element in nodeList Rejected

Task # 1408: service names should be enumeration Rejected

Task # 1409: remove 'implemented' attribute from nodelist Rejected

History

#1 - 2010-10-07 19:34 - Robert Waltz

- Position set to 13

- Target version set to Sprint-2010.42

#2 - 2010-10-07 21:44 - Robert Waltz

- Milestone changed from CCI-0.6 to CCI-0.5

#3 - 2010-10-22 16:54 - Dave Vieglais

- Position changed from 1 to 53

- Position deleted (24)

- Position set to 1

- Target version changed from Sprint-2010.42 to Sprint-2010.43

#4 - 2010-10-29 16:58 - Dave Vieglais

- Position deleted (54)

- Position changed from 1 to 56

- Position set to 1

- Target version deleted (Sprint-2010.43)

#5 - 2010-10-29 17:00 - Dave Vieglais

- Position deleted (56)
- Position set to 4

- Target version set to Sprint-2010.45

#6 - 2010-11-12 17:41 - Dave Vieglais

- Position deleted (29)

- Position set to 2

- Target version changed from Sprint-2010.45 to Sprint-2010.46

#7 - 2010-11-19 17:45 - Dave Vieglais

- Position deleted (17)

- Position set to 4

- Target version changed from Sprint-2010.46 to Sprint-2010.47

#8 - 2010-11-30 18:17 - Dave Vieglais

- Position deleted (32)

- Position set to 8

- Target version changed from Sprint-2010.47 to Sprint-2010.48

#9 - 2010-12-13 18:34 - Dave Vieglais

- Target version changed from Sprint-2010.48 to Sprint-2010.50

- Position deleted (34)

- Position set to 10

#10 - 2010-12-13 18:55 - Robert Waltz

- Position set to 20

- Position deleted (14)

#11 - 2011-01-03 03:07 - Dave Vieglais

- Target version changed from Sprint-2010.50 to Sprint-2011.02

#12 - 2011-01-17 16:25 - Dave Vieglais

- Position deleted (30)

- Target version changed from Sprint-2011.02 to Sprint-2011.03

- Position set to 46

#13 - 2011-01-24 17:42 - Dave Vieglais

- Position deleted (55)

- Target version changed from Sprint-2011.03 to Sprint-2011.09-Block.2

- Position set to 2

#14 - 2011-03-07 17:39 - Dave Vieglais

- Position set to 2

- Position deleted (54)

- Target version changed from Sprint-2011.09-Block.2 to Sprint-2011.10-Block.2

#15 - 2011-03-16 17:26 - Robert Waltz

- Target version changed from Sprint-2011.10-Block.2 to Sprint-2011.11-Block.2

- Position set to 3

- Position deleted (16)
#16 - 2011-03-22 13:52 - Dave Vieglais

- Status changed from New to In Progress

#17 - 2011-03-22 13:59 - Dave Vieglais

- Position set to 5

- Position deleted (12)

- Target version changed from Sprint-2011.11-Block.2 to Sprint-2011.12-Block.2

#18 - 2011-03-28 16:33 - Robert Waltz

- Status changed from In Progress to Closed

Powered by TCPDF (www.tcpdf.org)

2024-04-23 3/3

http://www.tcpdf.org

